<?php

namespace App\Entities\Customer;

use App\Models\Customer\ClientModel;

class ClientEntity extends CustomerEntity
{
    const PK = ClientModel::PK;
    const TITLE = ClientModel::TITLE;
    const DEFAULT_STATUS    = STATUS['AVAILABLE'];
    final public function getUserUID(): string
    {
        return $this->attributes['user_uid'];
    }
    //기본기능
    public function getName(): string
    {
        return $this->attributes['name'] ?? "";
    }
    public function getSite(): string
    {
        return $this->attributes['site'] ?? "";
    }
    public function getRole(): string
    {
        return $this->attributes['role'] ?? "";
    }
    public function getSaleRate(): int
    {
        return $this->attributes['sale_rate'] ?? 0;
    }
    public function getAccountBalance(): int
    {
        return $this->attributes['account_balance'] ?? 0;
    }
    public function getCouponBalance(): int
    {
        return $this->attributes['coupon_balance'] ?? 0;
    }
    public function getPointBalance(): int
    {
        return $this->attributes['point_balance'] ?? 0;
    }
    public function getHistory(): string
    {
        return $this->attributes['history'] ?? "";
    }
}
